using ProjectBase.Data.BaseDAL;
using ProjectBase.Util;
using System;
using System.Collections.Generic;
using System.Text;

namespace SIASUN.Autopilot.Model
{
    /// <summary>
    /// 登陆系统的黑白名单列表
    /// </summary>
    [Serializable]
    public class MoWhite : BaseEntity
    {
        public MoWhite()
        {
            this.CurrentLoginUserId = SysEnvironment.CurrentLoginID;
        }

        #region Field Members

        private long m_ID = 0; //          
        private string m_Name; //显示名称
        private string m_UserAccount; //所属用户账号
        private string m_UserName;  //所属用户名称
        private int m_Type = 0; //授权类型          
        private bool m_Forbid = false; //是否禁用          
        private string m_IPStart; //IP起始地址          
        private string m_IPEnd; //IP结束地址          
        private string m_Note; //备注          
        private string m_CreatorAccount; //创建人账号          
        private string m_CreatorName; //创建人名称          
        private DateTime m_CreateTime = System.DateTime.Now; //创建时间          
        private string m_EditorAccount; //编辑人账号          
        private string m_EditorName; //编辑人名称          
        private DateTime m_EditTime = System.DateTime.Now; //编辑时间   

        #endregion

        #region Property Members

        public virtual long ID
        {
            get
            {
                return this.m_ID;
            }
            set
            {
                this.m_ID = value;
            }
        }

        /// <summary>
        /// 显示名称
        /// </summary>
        public virtual string Name
        {
            get
            {
                return this.m_Name;
            }
            set
            {
                this.m_Name = value;
            }
        }

        /// <summary>
        /// 所属用户账号
        /// </summary>
        public virtual string UserAccount
        {
            get
            {
                return this.m_UserAccount;
            }
            set
            {
                this.m_UserAccount = value;
            }
        }

        /// <summary>
        /// 所属用户名称
        /// </summary>
        public virtual string UserName
        {
            get
            {
                return this.m_UserName;
            }
            set
            {
                this.m_UserName = value;
            }
        }

        /// <summary>
        /// 授权类型[0为黑名单，1为白名单 ）
        /// </summary>
        public virtual int Type
        {
            get
            {
                return this.m_Type;
            }
            set
            {
                this.m_Type = value;
            }
        }

        /// <summary>
        /// 是否禁用
        /// </summary>
        public virtual bool Forbid
        {
            get
            {
                return this.m_Forbid;
            }
            set
            {
                this.m_Forbid = value;
            }
        }

        /// <summary>
        /// IP起始地址
        /// </summary>
        public virtual string IPStart
        {
            get
            {
                return this.m_IPStart;
            }
            set
            {
                this.m_IPStart = value;
            }
        }

        /// <summary>
        /// IP结束地址
        /// </summary>
        public virtual string IPEnd
        {
            get
            {
                return this.m_IPEnd;
            }
            set
            {
                this.m_IPEnd = value;
            }
        }

        /// <summary>
        /// 备注
        /// </summary>
        public virtual string Note
        {
            get
            {
                return this.m_Note;
            }
            set
            {
                this.m_Note = value;
            }
        }

        /// <summary>
        /// 创建人账号
        /// </summary>
        public virtual string CreatorAccount
        {
            get
            {
                return this.m_CreatorAccount;
            }
            set
            {
                this.m_CreatorAccount = value;
            }
        }

        /// <summary>
        /// 创建人姓名
        /// </summary>
        public virtual string CreatorName
        {
            get
            {
                return this.m_CreatorName;
            }
            set
            {
                this.m_CreatorName = value;
            }
        }

        /// <summary>
        /// 创建时间
        /// </summary>
        public virtual DateTime CreateTime
        {
            get
            {
                return this.m_CreateTime;
            }
            set
            {
                this.m_CreateTime = value;
            }
        }

        /// <summary>
        /// 编辑人账号
        /// </summary>
        public virtual string EditorAccount
        {
            get
            {
                return this.m_EditorAccount;
            }
            set
            {
                this.m_EditorAccount = value;
            }
        }

        /// <summary>
        /// 编辑人名字
        /// </summary>
        public virtual string EditorName
        {
            get
            {
                return this.m_EditorName;
            }
            set
            {
                this.m_EditorName = value;
            }
        }

        /// <summary>
        /// 编辑时间
        /// </summary>
        public virtual DateTime EditTime
        {
            get
            {
                return this.m_EditTime;
            }
            set
            {
                this.m_EditTime = value;
            }
        }


        #endregion


    }
}
